const mongoose = require("tp-db").mongoose;

//Errors Schema
let errorsSchema = mongoose.Schema({
    message: {
        type: String
    },
    data: {
        type: Object
    },
    date: {
        type: Date
    },
    stackTrace: {
        type: Array
    }
});

let Errors = module.exports = mongoose.model('Errors', errorsSchema);

//Get All Errors
module.exports.get = function(callback) {
    Errors.find(callback).lean();
};

//New Error
module.exports.new = function(error, callback) {
    Errors.create(error, callback);
};

//Clear Errors
module.exports.clear = function() {
    Errors.find().remove().exec();
};